#ifndef INTUITION_PREFERENCES_H
#include <intuition/intuitionbase.h>
#include <devices/input.h>
#include <libraries/dosextens.h>
#include "wIcon.h"
#include "wMemory.h"

#define PROGRAM         "wIconSetter"
#define VERSION         "v4"
#define COPYRIGHT\
   "Copyright (c) 1990 by Davide P. Cervone, all rights reserved"

#define USAGE       "wIconSetter <initfile>"

#define LOADVERS        4

#define MINHMAJVERS     1
#define MINHMINVERS     2

#define HANDLERCODE     "L:wIconSetter-Handler"        /* the handler file */
#define INITFILE1       "WICONIFY:wIconSetter.Init"
#define INITFILE2       "S:wIconSetter.Init"



#define EXIT_ERROR      10
#define EXIT_OK         0
#define ONE             1L

extern struct IntuitionBase *IntuitionBase;
extern struct GfxBase *GfxBase;
extern struct SysBase *SysBase;
#define INTUITION_REV       0L
#define GRAPHICS_REV        0L


extern long LVOOpenWindow;
extern long LVOSetWindowTitles;
extern long LVOOpenScreen;

extern long SetFunction();
extern struct Process *FindTask();
extern struct MsgPort *FindPort();
#define FreeDefine(ptr)     FreeWindow(ptr)


#define MAXICONS        32
struct NeedsIcon
{
   struct Window *Window;
   WICON *Icon;
};

#include "wIconSetup.h"

extern ICONPROGRAM *FirstProgram;
extern ICONPROGRAM *ProgramAny;
extern ICONDEFINE  *FirstDefine;
